### Function

# Gtk tree_create_row_drag_content

deprecated: 4.10

#### Declaration [src]

    GdkContentProvider*
    gtk_tree_create_row_drag_content (
      GtkTreeModel* tree_model,
      GtkTreePath* path
    )

#### Description [src]

Creates a content provider for dragging `path` from `tree_model`.

Deprecated since: 4.10

Use list models instead.

#### Parameters

`tree_model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  A row in `tree_model`.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkContentProvider`

A new `GdkContentProvider`

The caller of the function takes ownership of the data, and is responsible for freeing it.